aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSebastien Douheret <sebastien.douheret@iot.bzh>2017-11-17 10:31:07 +0100
committerSebastien Douheret <sebastien.douheret@iot.bzh>2017-11-17 10:31:07 +0100
commit985b32b78da6e5ea008e45f6cf2df140df350ea9 (patch)
tree7c6c318b451da05fef732ff84d2b95d43660d0bd
parent72f3969eeb71af69b5d97381fd4789c0ba375296 (diff)
parent8b800f6c9d862009684ce52d0007da08f46e748d (diff)
Merge remote-tracking branch 'origin/master' into wip
Signed-off-by: Sebastien Douheret <sebastien.douheret@iot.bzh> Conflicts: Makefile webapp/package.json
-rw-r--r--lib/apiv1/exec.go2
-rwxr-xr-xscripts/xds-docker-create-container.sh2
2 files changed, 2 insertions, 2 deletions
diff --git a/lib/apiv1/exec.go b/lib/apiv1/exec.go
index 8ffad07..30444c1 100644
--- a/lib/apiv1/exec.go
+++ b/lib/apiv1/exec.go
@@ -140,7 +140,7 @@ func (s *APIService) execCmd(c *gin.Context) {
}
}
- cmd = append(cmd, "cd", fld.GetFullPath(args.RPath))
+ cmd = append(cmd, "cd", "\""+fld.GetFullPath(args.RPath)+"\"")
// FIXME - add 'exec' prevents to use syntax:
// xds-exec -l debug -c xds-config.env -- "cd build && cmake .."
// but exec is mandatory to allow to pass correctly signals
diff --git a/scripts/xds-docker-create-container.sh b/scripts/xds-docker-create-container.sh
index 88c74eb..3f5fe5f 100755
--- a/scripts/xds-docker-create-container.sh
+++ b/scripts/xds-docker-create-container.sh
@@ -174,7 +174,7 @@ echo
[ -f ~/.ssh/known_hosts ] && { ssh-keygen -R "[localhost]:$SSH_PORT" -f ~/.ssh/known_hosts || exit 1; }
[ ! -f ~/.ssh/id_rsa.pub ] && { ssh-keygen -t rsa -f ~/.ssh/id_rsa -P "" > /dev/null || exit 1; }
docker exec ${NAME} bash -c "mkdir -p /home/$DOCKER_USER/.ssh" || exit 1
-docker cp ~/.ssh/id_rsa.pub ${NAME}:/home/$DOCKER_USER/.ssh/authorized_keys || exit 1
+docker cp -L ~/.ssh/id_rsa.pub ${NAME}:/home/$DOCKER_USER/.ssh/authorized_keys || exit 1
docker exec ${NAME} bash -c "chown $DOCKER_USER:$DOCKER_USER -R /home/$DOCKER_USER/.ssh ;chmod 0700 /home/$DOCKER_USER/.ssh; chmod 0600 /home/$DOCKER_USER/.ssh/*" || exit 1
ssh -n -o StrictHostKeyChecking=no -p $SSH_PORT $DOCKER_USER@localhost exit || exit 1